ruby-on-rails - Rails 4 找不到文件 'angular-rails-templates'

标签 ruby-on-rails angularjs ruby-on-rails-4 angular-template

我正在关注本教程:https://thinkster.io/angulartutorial/angular-rails/一切都很顺利,直到我不得不在 Rails Assets 管道 javascripts 中用文件夹排列我的 Angular 代码并使用 gem 'angular-rails-template'( https://github.com/pitr/angular-rails-templates )到达它们。

我已经通过 Gemfile 安装了 gem,即使我在 application.js 中需要该文件,我也会收到“找不到文件 'angular-rails-templates'”错误:

//= require angular
//= require angular-rails-templates
//= require angular-ui-router
//= require_tree .

有什么建议?

最佳答案

显然我确定我重新启动了服务器,但我没有。如果有人遇到此问题,请尝试使用旧式解决方案来修复它。

关于ruby-on-rails - Rails 4 找不到文件 'angular-rails-templates',我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/27990988/

相关文章:

mysql - 如何在 Rails 3.1 中调试 PUT 请求?

ruby-on-rails - Rails 引擎扩展功能

ruby-on-rails - Ruby on Rails Beta 3 在 Snow Leopard 上安装 - 未找到文件

javascript - 使用服务在 Angular 中提交表单后如何更新列表?

ruby-on-rails - 收到此错误 : param is missing or the value is empty: series

ruby-on-rails - rake 任务中使用错误的 ruby​​ 路径作为 cron 执行,无论何时

javascript - 我们如何模拟我们的服务来测试 Controller ?

javascript - 如何使用 $q.defer 链接 ajax 请求?

jquery - Rails4 - 如何动态设置div 的背景图像?

css - 使用 TinyMCE 在 rails 4 中渲染 css